Subject: Re: linux-next: manual merge of the bkl-trivial tree with the hfsplus tree

From: Arnd Bergmann <[email-masked]>
Date: Mon, 4 Oct 2010 10:23:45 +0200

On Monday 04 October 2010 05:34:41 Christoph Hellwig wrote:
> On Mon, Oct 04, 2010 at 10:47:40AM +1100, Stephen Rothwell wrote:
> > Hi Arnd,
> > 
> > The second of the hfsplus tree commits seems to supercede the bkl-trivial
> > one, so I used that.
> 
> Yes, the hfsplus tree contains a proper BKL removal for hfsplus.

Ok. I've removed the pushdown into hfsplus and subsequent removal from my
tree now, thanks! I've also removed the pushdown from other file systems
that are already BKL-free.

Christoph, are you planning to take care of freevxfs, too? I can't figure
out whether readdir and lookup actually need locking there.

	Arnd